### File

`packages/eui/packages/components-next/src/lib/components/atoms/eui-label/eui-label.component.ts`

### Extends

`BaseDirective`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `label[euiLabel], span[euiLabel], a[euiLabel], eui-label`
styleUrls | `./styles/_index.scss`
template |
    <ng-content></ng-content>

### Index

###### Methods
getCssClasses
###### Inputs
euiReadonly euiRequired styleClass
###### HostBindings
class
###### Accessors
euiRequired euiReadonly

### Constructor

`constructor()`

### Inputs

euiReadonly

euiRequired

styleClass
Type : `string`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses()`
Returns : `any`

### Accessors

euiRequired
set `euiRequired(required: any)`
Parameters :
Name | Type | Optional
required | `any` | No
Returns : `void`

euiReadonly
set `euiReadonly(readonly: any)`
Parameters :
Name | Type | Optional
readonly | `any` | No
Returns : `void`

# result-matching ""

# No results matching ""